#!/bin/bash

# We load cuda and cudnn because we want to use the GPU version of Tensorflow
module load python/3.10.2 cuda/11.2.2 cudnn/8.2.0
if [ -z "$LD_LIBRARY_PATH" ]
then
    export LD_LIBRARY_PATH=$CUDA_HOME/extras/CUPTI/lib64/
else
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$CUDA_HOME/extras/CUPTI/lib64/
fi

# scipy-stack is a bundle that contains a lot of commonly-used python packages
# such as numpy, scipy, pandas, matplotlib, jupyter, etc.
module load scipy-stack

