#!/bin/bash

CUR_DIR=$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )
#echo $CUR_DIR
source $CUR_DIR/load_modules.sh

ENV=tf2.8.0-venv
virtualenv --no-download $ENV
source $ENV/bin/activate
pip install --no-index --upgrade pip

# Install various python packages such as scikit-learn and tensorflow
pip install scikit_learn --no-index
pip install tensorflow==2.8.0 tensorflow-addons tensorflow_hub tensorflow_datasets nvidia_ml_py3 --no-index

#Install ipykernel
pip install --no-index ipykernel
python -m ipykernel install --user --name 2022-ml --display-name "2022-ml Kernel"


